Bug 192999 - [patch] mail/opendmarc - add SPF support
Summary: [patch] mail/opendmarc - add SPF support
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Bartek Rutkowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-08-25 23:17 UTC by Daniel Austin
Modified: 2014-10-02 11:18 UTC (History)
3 users (show)

See Also:


Attachments
add SPF support (798 bytes, patch)
2014-08-25 23:17 UTC, Daniel Austin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Austin 2014-08-25 23:17:04 UTC
Created attachment 146280 [details]
add SPF support

opendmarc supports built-in SPF checking, but it was not included in the port.
This patch adds an option to pull in libspf2 and use it.

maintainer: i've left the option default enabled (it's a small dependancy), but feel free to default to disabled if you feel this should be the case.
It's still disabled by default in the installed sample config file.


poudriere testport logs for 8.4/9.3/10.0/11.0 i386+amd64 at:

http://poudriere.dan.tm/latest-per-pkg/opendmarc/1.3.0_1/
Comment 1 John Marino freebsd_committer 2014-08-26 07:00:00 UTC
tested patch needs maintainer approval.  Notifying maintainer in CC to get that approval.
Comment 2 Jaap Akkerhuis 2014-08-26 14:18:33 UTC
Patch passed my tests as well.

Approve

        jaap
Comment 3 John Marino freebsd_committer 2014-09-20 17:58:00 UTC
Maintainer approved, moving to patch-ready
Comment 4 commit-hook freebsd_committer 2014-10-02 11:17:47 UTC
A commit references this bug:

Author: robak
Date: Thu Oct  2 11:17:15 UTC 2014
New revision: 369812
URL: https://svnweb.freebsd.org/changeset/ports/369812

Log:
  mail/opendmarc: add SPF option

  PR:		192999
  Submitted by:	Daniel Austin <freebsd-ports@dan.me.uk>
  Reviewed by:	maintainer
  Approved by:	mentors (implicit)

Changes:
  head/mail/opendmarc/Makefile
Comment 5 Bartek Rutkowski freebsd_committer 2014-10-02 11:18:57 UTC
Committed, thanks for your work!